// PixelTypes.h, types used for manipulating pixels instead of using primitives,
//	biased in favor of 256 colors.

// copyright  1995, Macneil Shonle. All rights reserved.

#ifndef __PIXELTYPES__
#define __PIXELTYPES__

typedef unsigned char Pixel, *PixelPtr;
typedef unsigned short TwoPixels, *TwoPixelsPtr;
typedef unsigned long FourPixels, *FourPixelsPtr;
typedef unsigned long RowBytes;
typedef short PixelCord;

		// enum BitDepth
enum BitDepth {
	kOneBit = 1,
	kTwoBit = 2,
	kFourBit = 4,
	kEightBit = 8,
	kSixteenBit = 16,
	kThirtyTwoBit = 32,
	kGreatestBit = 0
};

#endif